Upload Document for Employee

Uploads a document and associates it with a specific employee record.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Category is optional

Do take a look at Get Document Categories API to fetch the list of Categories. You can pass the id of the corresponding category that pertains to your use case in this API.

Supported Apps

Here are the list of apps that support this API.

Workday (workday)
Hibob (hibob)

In this API, you can specify the folder in which you want to upload the document through the category parameter :

If the category is not specified, the default folder is the Shared folder. For more information and sample requests, refer to https://developers.getknit.dev/docs/hibob#upload-a-document-for-an-employee-api-in-hibob

Sage (sage-hris)
BambooHR (bamboohr)

Get the Employee Document Categories through Passthrough Request before uploading a document

For more information and sample requests, refer to https://developers.getknit.dev/docs/getting-started-with-bamboohr-api#upload-a-document-for-an-employee-api-in-bamboohr

Personio (personio)
Darwinbox (darwinbox)
  • category is mandatory. You should get the section for the file you want to upload from Darwinbox integrations team and specify that in the category field.

  • You must specify documentType in the metadata object. documentType is the name of the document type or section_attribute, and is provided by Darwinbox integrations team

Zoho People (zoho-people)

category is mandatory.

SAP SuccessFactors (successfactors)

Supported Request Fields:

  • employeeId - Required
  • fileName - Required
  • fileContent
  • fileUrl
  • contentType
  • category

Supported Response Fields:

  • id
Oracle Cloud HCM (oracle-hcm)
Keka HR (keka)
People HR (peopleHR)
Avionte (avionte)
HR Works (hr-works)

Supported Request Fields:

  • employeeId - Required
  • fileName - Required
  • fileUrl - Required
  • category - Required (id can be obtained using get document categories API)
Sesame HR (sesamehr)

Supported Request Fields:

  • employeeId - Required
  • fileName - Required
  • fileContent
  • fileUrl
  • contentType

Supported Response Fields:

  • documentId
Humaans (humaans)
LuccaHR (luccahr)
Body Params
string
required
string
required

Filename should be with proper extension i.e. fileName.extension

string

File content should be base64 encoded content of the file you are trying to upload.

string

if you are providing the file URL, you do not need to provide the content

string

The content-type of the document you are sending. When using a URL, this generally isn’t needed, as the responding server will deliver a content type. This should be included for encoded content. Click here to see examples : https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types/Common_types

string
string
json
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json